Set the number-ownership webhook URL
Set the HTTPS URL that receives number-ownership events for this enterprise: number_reputation.number.flagged, number_reputation.number.removed and number_reputation.external_verification.status_changed. Send webhook_url: null to stop receiving them.
PATCH
/
enterprises
/
{enterprise_id}
/
reputation
/
webhook
Set the number-ownership webhook URL
curl --request PATCH \
--url https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/webhook \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"webhook_url": "https://example.com/webhooks/telnyx"
}
'import requests
url = "https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/webhook"
payload = { "webhook_url": "https://example.com/webhooks/telnyx" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({webhook_url: 'https://example.com/webhooks/telnyx'})
};
fetch('https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/webhook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/webhook",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'webhook_url' => 'https://example.com/webhooks/telnyx'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/webhook"
payload := strings.NewReader("{\n \"webhook_url\": \"https://example.com/webhooks/telnyx\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/webhook")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"webhook_url\": \"https://example.com/webhooks/telnyx\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/webhook")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"webhook_url\": \"https://example.com/webhooks/telnyx\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"enterprise_id": "4a6192a4-573d-446d-b3ce-aff9117272a6",
"status": "pending",
"check_frequency": "business_daily",
"loa_document_id": "2a7e8337-e803-4057-a4ae-26c40eb0bc6c",
"loa_status": "pending",
"rejection_reasons": [
"<string>"
],
"external_verification_status": "pending",
"webhook_url": "https://example.com/webhooks/telnyx",
"created_at": "2026-04-26T18:06:51.940749Z",
"updated_at": "2026-04-26T18:09:24.785211Z"
}
}Authorizations
Telnyx API key. Generate one at https://portal.telnyx.com/#/app/api-keys.
Path Parameters
The enterprise id. Lowercase UUID.
Example:
"4a6192a4-573d-446d-b3ce-aff9117272a6"
Body
application/json
HTTPS URL on a publicly routable host. Send null to stop receiving number-ownership events.
Maximum string length:
2048Example:
"https://example.com/webhooks/telnyx"
Response
Updated reputation settings.
Show child attributes
Show child attributes
Was this page helpful?
Set the number-ownership webhook URL
curl --request PATCH \
--url https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/webhook \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"webhook_url": "https://example.com/webhooks/telnyx"
}
'import requests
url = "https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/webhook"
payload = { "webhook_url": "https://example.com/webhooks/telnyx" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({webhook_url: 'https://example.com/webhooks/telnyx'})
};
fetch('https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/webhook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/webhook",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'webhook_url' => 'https://example.com/webhooks/telnyx'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/webhook"
payload := strings.NewReader("{\n \"webhook_url\": \"https://example.com/webhooks/telnyx\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/webhook")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"webhook_url\": \"https://example.com/webhooks/telnyx\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/webhook")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"webhook_url\": \"https://example.com/webhooks/telnyx\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"enterprise_id": "4a6192a4-573d-446d-b3ce-aff9117272a6",
"status": "pending",
"check_frequency": "business_daily",
"loa_document_id": "2a7e8337-e803-4057-a4ae-26c40eb0bc6c",
"loa_status": "pending",
"rejection_reasons": [
"<string>"
],
"external_verification_status": "pending",
"webhook_url": "https://example.com/webhooks/telnyx",
"created_at": "2026-04-26T18:06:51.940749Z",
"updated_at": "2026-04-26T18:09:24.785211Z"
}
}